package test;

import static io.cucumber.core.options.Constants.FEATURES_PROPERTY_NAME;
import static io.cucumber.core.options.Constants.GLUE_PROPERTY_NAME;
import static io.cucumber.core.options.Constants.PLUGIN_PROPERTY_NAME;

import org.junit.platform.suite.api.ConfigurationParameter;
import org.junit.platform.suite.api.IncludeEngines;
import org.junit.platform.suite.api.Suite;

@Suite
@IncludeEngines({"cucumber"})
@ConfigurationParameter(key = FEATURES_PROPERTY_NAME, value = "src/features")
@ConfigurationParameter(key = GLUE_PROPERTY_NAME, value = "step") // this annotation specifies the path to steps and config files - i.e. the top package name.
@ConfigurationParameter(key = PLUGIN_PROPERTY_NAME, value = "pretty, html:target/cucumber-report/cucumber.html") // this annotation specifies the path to any plugin.
public class StartTests {
        
}